package net.sf.sido.factory.sido.antlr;

public interface ISidoReporter {

	void setAbstract();

	void setAnonymousProperty();

	void createConstraint(String id);

	void setConstraintParam(String name, String value);

	void setConstraintValue(String value);

	void setExtensible();

	void createExtension(String forType);

	void createProperty();

	void setParent(String parentTypeName);

	void setPropertyName(String name);

	void setPropertyArray();

	void setPropertyArrayIndex(String indexPropertyPath);

	void setPropertyNullable(boolean not);

	void setPropertyReverse();

	void setPropertyType(String typeName);

	void createSchema(String name);

	void createType(String name);

    void closeType();

}
